<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button> </ion-back-button>
    </ion-buttons>
    <ion-title>New shipment</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <form #createForm="ngForm" (ngSubmit)="onSubmit(createForm)">
    <ion-grid>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-list>
            <ion-item>
              <ion-label position="floating">Shipment ID:</ion-label>
              <ion-input [value]="objectId" readonly></ion-input>
            </ion-item>
            <ion-item *ngIf="!nameCtrl.valid && nameCtrl.touched" lines="none">
              <ion-label color="danger">
                Can't be empty
              </ion-label>
            </ion-item>
          </ion-list>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-list>
            <ion-item>
              <ion-label position="floating">Name</ion-label>
              <ion-input
                type="text"
                ngModel
                name="name"
                required
                #nameCtrl="ngModel"
              ></ion-input>
            </ion-item>
            <ion-item *ngIf="!nameCtrl.valid && nameCtrl.touched" lines="none">
              <ion-label color="danger">
                Can't be empty
              </ion-label>
            </ion-item>
          </ion-list>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-list>
            <ion-item>
              <ion-label position="floating">Description</ion-label>
              <ion-textarea
                type="text"
                ngModel
                name="description"
                required
                #descriptionCtrl="ngModel"
              ></ion-textarea>
            </ion-item>
            <ion-item
              *ngIf="!descriptionCtrl.valid && descriptionCtrl.touched"
              lines="none"
            >
              <ion-label color="danger">
                Can't be empty
              </ion-label>
            </ion-item>
          </ion-list>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size-sm="6" offset-sm="3">
          <ion-button
            color="primary"
            expand="block"
            type="submit"
            [disabled]="!createForm.valid"
          >
            Create
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </form>
</ion-content>
